Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2240584 - perl-Time-ParseDate-2015.103-24.fc40 FTBFS: tests fail without tzdata package
Summary: perl-Time-ParseDate-2015.103-24.fc40 FTBFS: tests fail without tzdata package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Time-ParseDate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-09-25 11:15 UTC by Petr Pisar
Modified: 2023-11-03 18:40 UTC (History)
3 users (show)

Fixed In Version: perl-Time-ParseDate-2015.103-25.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-04 18:03:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-09-25 11:15:11 UTC
perl-Time-ParseDate-2015.103-24.fc40 fails to build in Fedora 40 and 39 because tests fail if tzdata package is not installed:

t/metdate.t ... skipped: It seems localtime() does not honor $ENV{TZ} when set in the test script.
t/order1.t .... 1/?
#   Failed test 'Europe/Moscow, DST permanent 2009'
#   at t/order1.t line 33.
#          got: '1257033600'
#     expected: '1257022800'

#   Failed test 'Europe/Moscow, DST permanent 2013'
#   at t/order1.t line 34.
#          got: '1369872000'
#     expected: '1369857600'
# Looks like you failed 2 tests of 5.
t/order1.t .... Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/5 subtests
t/order2.t .... 1/?
#   Failed test 'Europe/Moscow, DST permanent 2013'
#   at t/order2.t line 31.
#          got: '1369872000'
#     expected: '1369857600'

#   Failed test 'Europe/Moscow, DST permanent 2009'
#   at t/order2.t line 32.
#          got: '1257033600'
#     expected: '1257022800'
# Looks like you failed 2 tests of 5.
t/order2.t .... Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/5 subtests

A difference between passing and failing build roots is at <https://koschei.fedoraproject.org/build/16391565>.

Comment 2 Fedora Update System 2023-10-18 08:23:06 UTC
FEDORA-2023-2570b87e97 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2570b87e97

Comment 3 Fedora Update System 2023-10-19 02:16:54 UTC
FEDORA-2023-2570b87e97 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2570b87e97`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2570b87e97

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-11-03 18:40:27 UTC
FEDORA-2023-2570b87e97 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.